package dev.lions.unionflow.server.api.enums.wave;

/**
 * Énumération des types de transaction Wave
 *
 * @author UnionFlow Team
 * @version 3.0
 * @since 2025-01-29
 */
public enum TypeTransactionWave {
  DEPOT("Dépôt"),
  RETRAIT("Retrait"),
  TRANSFERT("Transfert"),
  PAIEMENT("Paiement"),
  REMBOURSEMENT("Remboursement");

  private final String libelle;

  TypeTransactionWave(String libelle) {
    this.libelle = libelle;
  }

  public String getLibelle() {
    return libelle;
  }
}

